import java.util.Locale;

public class Class470 implements Interface50 {

   public static Class470 aClass470_5772 = new Class470("FR", "fr", "French", Class487.aClass487_5903, 2, "FR");
   public static Class470 aClass470_5773 = new Class470("DE", "de", "German", Class487.aClass487_5903, 1, "DE");
   int anInt5774;
   public static Class470 aClass470_5775 = new Class470("PT", "pt", "Portuguese", Class487.aClass487_5903, 3, "BR");
   static Class470 aClass470_5776 = new Class470("NL", "nl", "Dutch", Class487.aClass487_5894, 4, "NL");
   public static Class470 aClass470_5777 = new Class470("ES", "es", "Spanish", Class487.aClass487_5894, 5, "ES");
   public static Class470 aClass470_5778 = new Class470("ES_MX", "es-mx", "Spanish (Latin American)", Class487.aClass487_5894, 6, "MX");
   String aString5779;
   public static final int anInt5780 = 7;
   String aString5781;
   public static Class470 aClass470_5782 = new Class470("EN", "en", "English", Class487.aClass487_5903, 0, "GB");
   Locale aLocale5783;
   static Class470[] aClass470Array5784;
   public static Class429 aClass429_5785;
   static int anInt5786;


   public static Class470[] method7887() {
      return new Class470[]{aClass470_5776, aClass470_5782, aClass470_5772, aClass470_5777, aClass470_5775, aClass470_5778, aClass470_5773};
   }

   Class470(String var1, String var2, String var3, Class487 var4, int var5, String var6) {
      this.aString5779 = var1;
      this.aString5781 = var2;
      this.anInt5774 = -1940930119 * var5;
      if(null != var6) {
         this.aLocale5783 = new Locale(var2.substring(0, 2), var6);
      } else {
         this.aLocale5783 = new Locale(var2.substring(0, 2));
      }

   }

   public String method7888() {
      return this.method7893((byte)102).toLowerCase(Locale.ENGLISH);
   }

   static final void method7889(Class508 var0, int var1) {
      Class505 var10000;
      if(var0.aBool6014) {
         if(var1 >= -1238018115) {
            ;
         }

         var10000 = var0.aClass505_6011;
      } else {
         var10000 = var0.aClass505_6010;
      }

      Class505 var2 = var10000;
      Class124 var3 = var2.aClass124_5977;
      Class121 var4 = var2.aClass121_5978;
      Class304.method5425(var3, var4, var0, 1719208328);
   }

   public Locale method7890(int var1) {
      return this.aLocale5783;
   }

   public Locale method7891() {
      return this.aLocale5783;
   }

   public String toString() {
      return this.method7893((byte)111).toLowerCase(Locale.ENGLISH);
   }

   static {
      Class470[] var0 = method7894(-2013188779);
      aClass470Array5784 = new Class470[var0.length];
      Class470[] var1 = var0;

      for(int var2 = 0; var2 < var1.length; ++var2) {
         Class470 var3 = var1[var2];
         if(aClass470Array5784[var3.anInt5774 * 1150678153] != null) {
            throw new IllegalStateException();
         }

         aClass470Array5784[1150678153 * var3.anInt5774] = var3;
      }

   }

   public int method269() {
      return 1150678153 * this.anInt5774;
   }

   public String method7892() {
      return this.method7893((byte)115).toLowerCase(Locale.ENGLISH);
   }

   public String method7893(byte var1) {
      return this.aString5781;
   }

   public static Class470[] method7894(int var0) {
      return new Class470[]{aClass470_5776, aClass470_5782, aClass470_5772, aClass470_5777, aClass470_5775, aClass470_5778, aClass470_5773};
   }

   public static Class470[] method7895() {
      return new Class470[]{aClass470_5776, aClass470_5782, aClass470_5772, aClass470_5777, aClass470_5775, aClass470_5778, aClass470_5773};
   }

   public String method7896() {
      return this.aString5781;
   }

   public String method7897() {
      return this.aString5781;
   }

   public String method7898() {
      return this.aString5781;
   }

   public String method7899() {
      return this.aString5781;
   }

   public Locale method7900() {
      return this.aLocale5783;
   }

   public int method89(byte var1) {
      return 1150678153 * this.anInt5774;
   }

   public static Class470 method7901(int var0, int var1) {
      return var0 >= 0 && var0 < aClass470Array5784.length?aClass470Array5784[var0]:null;
   }

   public Locale method7902() {
      return this.aLocale5783;
   }

   static final void method7903(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class124 var3 = Class97.method1903(var2, 597540507);
      Class121 var4 = Class18.aClass121Array188[var2 >> 16];
      Class510_Sub1.method13495(var3, var4, var0, (byte)-70);
   }

   public static Class475[] method7904(int var0) {
      return new Class475[]{Class475.aClass475_5812, Class475.aClass475_5813, Class475.aClass475_5808, Class475.aClass475_5807, Class475.aClass475_5811, Class475.aClass475_5806, Class475.aClass475_5805, Class475.aClass475_5809, Class475.aClass475_5804, Class475.aClass475_5810};
   }

   public static void method7905(Class515_Sub1_Sub4_Sub4_Sub1 var0, int var1) {
      Class225_Sub46 var2 = (Class225_Sub46)Class225_Sub46.aClass423_8799.method7211((long)(1458531375 * var0.anInt10729));
      if(var2 == null) {
         Class292.method5308(var0.aByte8443, var0.anIntArray10770[0], var0.anIntArray10779[0], 0, (Class445)null, (Class515_Sub1_Sub4_Sub4_Sub2)null, var0, -1009579785);
      } else {
         var2.method14179(-1868190036);
      }

   }

   public static final void method7906(int var0) {
      for(int var1 = 0; var1 < 5; ++var1) {
         if(var0 >= -1996642042) {
            ;
         }

         client.aBoolArray7910[var1] = false;
      }

      client.anInt7762 = -1356994629;
      client.anInt7732 = 661003371;
      Class554.anInt7440 = 0;
      Class355.anInt4476 = 0;
      Class225_Sub21_Sub5.anInt10087 = 1246565379;
      Class118_Sub2.anInt8212 = 110956583;
      Class109.anInt1086 = -887729361;
      client.anInt7865 = client.anInt7659 * -2128008673;
      Class491.anInt5913 = -1917864773 * Class90.anInt895;
      Class118_Sub8.anInt8249 = -832641401 * Class416.anInt5137;
      Class62_Sub2.anInt8144 = 22822305 * Class4.anInt112;
      Class332.anInt4180 = Class365.anInt4603 * 235204653;
      Class580.anInt7624 = 710177119 * Class85.anInt867;
   }

   static final void method7907(Class508 var0, int var1) {
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class500.aClass225_Sub6_5953.aClass463_Sub9_8503.method12871(-1364463368);
   }
}
